%define upstream_name    Wx-GLCanvas
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 19

Summary:    A wrapper for wxWidgets' wxGLCanvas, used to display OpenGL graphics
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Wx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl-devel
BuildRequires: perl(Alien::wxWidgets)
BuildRequires: wxgtku2.8-devel
BuildRequires: perl(Wx)
#Technically, this one is only needed for the make test, which is currently not checked
BuildRequires: perl(Test::Pod)

Requires: perl(Wx)

%description
A wrapper for wxWidgets' wxGLCanvas, used to display OpenGL graphics.
The documentation for this module is included with the main wxPerl
distribution (wxGLCanvas).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorarch/*



%changelog
* Thu Nov 30 2023 tv <tv> 0.90.0-19.mga10
+ Revision: 2011926
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.90.0-18.mga9
+ Revision: 1862959
- Rebuild for Perl 5.36

* Fri Apr 01 2022 umeabot <umeabot> 0.90.0-17.mga9
+ Revision: 1840006
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.90.0-16.mga9
+ Revision: 1727697
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 0.90.0-15.mga8
+ Revision: 1595671
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.90.0-14.mga8
+ Revision: 1530161
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.90.0-13.mga8
+ Revision: 1433948
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.90.0-12.mga7
+ Revision: 1294015
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.90.0-11.mga7
+ Revision: 1250438
- Rebuild for perl 5.28

* Sat Jul 22 2017 neoclust <neoclust> 0.90.0-10.mga7
+ Revision: 1126974
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-9.mga6
+ Revision: 1035878
- Rebuild for perl 5.22.2

* Tue Feb 16 2016 umeabot <umeabot> 0.90.0-8.mga6
+ Revision: 962051
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 tv <tv> 0.90.0-7.mga6
+ Revision: 893125
- rebuild with fixed deps

* Fri Jun 26 2015 tv <tv> 0.90.0-6.mga6
+ Revision: 845517
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.90.0-5.mga6
+ Revision: 841189
- Rebuild for perl 5.22

* Tue Jan 13 2015 shlomif <shlomif> 0.90.0-4.mga5
+ Revision: 810275
- Add missing BR on perl-devel.
- Importing perl-Wx-GLCanvas (thanks to Richard Houser)

